vigra - ImageIterator< PIXELTYPE > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ImageIterator< PIXELTYPE > Class Template Reference Image Iterators |

Standard 2D random access iterator for images that store the data in a linear array. More...

`#include <vigra/imageiterator.hxx>`

Inheritance diagram for ImageIterator< PIXELTYPE >:

List of all members.

## Public Types
typedef Base::difference_type | difference_type
typedef Base::pointer | pointer
## Public Member Functions
| ImageIterator (pointer base, int ystride)
| ImageIterator ()

## Detailed Description

### template<class PIXELTYPE>
class vigra::ImageIterator< PIXELTYPE >

Standard 2D random access iterator for images that store the data in a linear array.

Most functions and local types are inherited from ImageIteratorBase.

See the paper: U. Koethe: Reusable Algorithms in Image Processing for a discussion of the concepts behind ImageIterators.

#include <vigra/imageiterator.hxx>

Namespace: vigra

## Member Typedef Documentation

typedef Base::pointer pointer

the iterator's pointer type (return type of `iter.operator->()`)

Reimplemented from ImageIteratorBase< ImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE &, PIXELTYPE * >.

typedef Base::difference_type difference_type

the iterator's difference type (argument type of `iter[diff]`)

Reimplemented from ImageIteratorBase< ImageIterator< PIXELTYPE >, PIXELTYPE, PIXELTYPE &, PIXELTYPE * >.

## Constructor & Destructor Documentation

ImageIterator | ( | pointer | base,
|  | int | ystride
| ) |  |

Construct from raw memory with a vertical stride of `ystride`. `ystride` must equal the physical image width (row length), even if the iterator will only be used for a sub image. If the raw memory is encapsulated in an image object this object should have a factory function that constructs the iterator.

ImageIterator | ( |  | ) |

Default constructor

The documentation for this class was generated from the following file:

- vigra/imageiterator.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)